> For the complete documentation index, see [llms.txt](https://docs.neonlines.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.neonlines.de/meterware-or-artikel-verkaufen-nach-einheit/weitere-einstellungen/produktfeeds-google-shopping.md).

# Produktfeeds / Google Shopping

Für die Ausgabe der Preise im (Google-)Shopping-Feed kann mit einer if-Abfrage geprüft werden, ob es sich beim Produkt um einen Einheiten-Artikel handelt. Falls ja, kann der Produktpreis mit einem Faktor passend zur Einheitenartikel-Konfiguration angepasst werden. Meistens kann dazu der Basispreis-Wert genutzt werden, ggf. auch als fester Wert wie z.B. 10 \* price.unitPrice

```twig
 <g:price>
{% if product.customFields.neon_unitarticles_isunitarticle%}
  {{ (product.customFields.neon_unitarticles_basepricevalue * price.unitPrice)|number_format(context.currency.itemRounding.decimals, '.', '') }}
{% else %}
  {{ price.unitPrice|number_format(context.currency.itemRounding.decimals, '.', '') }}
{% endif %}  {{ context.currency.isoCode }}
</g:price>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neonlines.de/meterware-or-artikel-verkaufen-nach-einheit/weitere-einstellungen/produktfeeds-google-shopping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
